package com.bytedance.ies.nle.editor_jni;

import com.bytedance.covode.number.Covode;
import com.bytedance.frameworks.apm.trace.MethodCollector;

public class NLEResourceGIF extends NLEResourceNode {
    public transient long LIZ;
    public transient boolean LIZIZ;

    static {
        Covode.recordClassIndex(29839);
    }

    public void finalize() {
        delete();
    }

    public NLEResourceGIF() {
        this(NLEEditorJniJNI.new_NLEResourceGIF());
        MethodCollector.i(15531);
        MethodCollector.o(15531);
    }

    public NLENode clone() {
        MethodCollector.i(15355);
        long NLEResourceGIF_clone = NLEEditorJniJNI.NLEResourceGIF_clone(this.LIZ, this);
        if (NLEResourceGIF_clone == 0) {
            MethodCollector.o(15355);
            return null;
        }
        NLENode nLENode = new NLENode(NLEResourceGIF_clone, true);
        MethodCollector.o(15355);
        return nLENode;
    }

    public synchronized void delete() {
        MethodCollector.i(15159);
        long j = this.LIZ;
        if (j != 0) {
            if (this.LIZIZ) {
                this.LIZIZ = false;
                NLEEditorJniJNI.delete_NLEResourceGIF(j);
            }
            this.LIZ = 0;
        }
        super.delete();
        MethodCollector.o(15159);
    }

    public void swigSetCMemOwn(boolean z) {
        this.LIZIZ = z;
        super.swigSetCMemOwn(z);
    }

    public NLEResourceGIF(long j) {
        super(NLEEditorJniJNI.NLEResourceGIF_SWIGSmartPtrUpcast(j));
        MethodCollector.i(14952);
        this.LIZIZ = true;
        this.LIZ = j;
        MethodCollector.o(14952);
    }
}
